#include "MenuTextSk3_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextSk3_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextSk3_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_skill_3;
}

std::shared_ptr<Entity> CreateMenuTextSk3_Player1Keyboard()
{
	return std::make_shared<MenuTextSk3_Player1Keyboard>();
}


